package com.matrix.codeGeneration.model;

import java.util.Map;

 
/**每一个codeFile 代表一个要生成的文件
 * 
 * @author jiangyouyao
 *
 */
public class CodeFile {

	/**
	 * 模板文件名称
	 */
	private String fileName;
	/**
	 * 模板文件保存地址
	 */
	private String savePath;
	
	/**
	 * 模型文件地址
	 */
	private String templateName;
	
	
	public String getTemplateName() {
		return templateName;
	}

	public void setTemplateName(String templateName) {
		this.templateName = templateName;
	}

	/**
	 * 模板文件需要的数据
	 */
	private Map<String, Object> data;

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getSavePath() {
		return savePath;
	}

	public void setSavePath(String savePath) {
		this.savePath = savePath;
	}

	public Map<String, Object> getData() {
		return data;
	}

	public void setData(Map<String, Object> data) {
		this.data = data;
	}

}
