package com.matrix.codeGeneration.model;

/**
 * 文件类型
 * 
 * @author Matrix-J
 *
 */
public enum ModelType {
	/**
	 * javabean类型模型
	 */
	JAVA_BEAN,

	/**
	 * mybatis dao模型文件
	 */
	MYBATIS_DAO_IMPL,

	/**
	 * mybatis dao模型文件
	 */
	MYBATIS_DAO,

	/**
	 * SERVICE接口 模型文件
	 */
	SERVICE,

	/**
	 * SERVICE 实现类模型文件
	 */
	SERVICE_IMPL,

	/**
	 * ACTION 类模型文件
	 */
	ACTION,

	/**
	 * LIST VIEW 视图模型文件
	 */
	LIST,
	/**
	 * FORM VIEW 视图模型文件
	 */
	FORM,

	/**
	 * MABATIS 的配置文件
	 */
	MABATIS_CONFIG,;

	public static ModelType get(String source) {

		if (source.equals(JAVA_BEAN.toString())) {
			return JAVA_BEAN;
		} else if (source.equals(MYBATIS_DAO_IMPL.toString())) {
			return MYBATIS_DAO_IMPL;
		} else if (source.equals(MYBATIS_DAO.toString())) {
			return MYBATIS_DAO;
		} else if (source.equals(SERVICE.toString())) {
			return SERVICE;
		} else if (source.equals(SERVICE_IMPL.toString())) {
			return SERVICE_IMPL;
		} else if (source.equals(ACTION.toString())) {
			return ACTION;
		} else if (source.equals(LIST.toString())) {
			return LIST;
		}else if (source.equals(FORM.toString())) {
			return FORM;
		} else if (source.equals(MABATIS_CONFIG.toString())) {
			return MABATIS_CONFIG;
		}
		return null;
	}

}
