package ${codeModel.packageName};

<#list importList?keys as key>
import ${importList[key]};
</#list>	

/**
 * @description ${tableClassModel.tableMemo}
 * @author ${dataSource.author}
 * @date ${time}
 */
public class ${tableClassModel.className}  extends EntityDTO{
	@Extend
	private static final long serialVersionUID = 1L; 

<#list tableClassModel.mapping as being>
	
	<#if being.memo!="">
	/**
	 * ${being.memo}
	 */
	</#if>
	private ${being.classType}  ${being.property};
			
</#list>	
	
<#list tableClassModel.mapping as being>

	public ${being.classType} get${being.methodName}() {
		return ${being.property};
	}
   	
   	public ${tableClassModel.className} set${being.methodName}(${being.classType} ${being.property}) {
		this.${being.property}=${being.property};
		return this;
	}
   	
</#list>	


  
}