
/**
 * ${tableClassModel.tableMemo}
 * @author ${dataSource.author}
 * @date ${time}
 */
 CREATE TABLE ${tableClassModel.tableName}(
  create_by varchar(100) NOT NULL COMMENT '创建人',
  create_time datetime NOT NULL COMMENT '创建时间',
  update_by varchar(100) NOT NULL COMMENT '更新人',
  update_time datetime NOT NULL COMMENT '更新时间',
<#list tableClassModel.mapping as being>
<#if being.column = tableClassModel.primaryKey.column && being.fullJdbcType = "int">
 ${being.column} ${being.fullJdbcType}  ${being.isAllowNull} AUTO_INCREMENT  COMMENT '${being.memo}',
 <#else>
 ${being.column} ${being.fullJdbcType}  ${being.isAllowNull}  COMMENT '${being.memo}',
</#if>
 
</#list>	
PRIMARY KEY(${tableClassModel.primaryKey.column})
)ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='${tableClassModel.tableMemo}';

/**
 *
 *生成菜单的sql 默认在权限管理目录下 根据不同的主键类型生成不同的菜单SQL
 */
 <#if  tableClassModel.primaryKey.fullJdbcType = "int">
INSERT INTO `sys_function` 
VALUES 
      ('开发者', now(), 
      '开发者', now(), 
      null, 
      '', 'biz/${tableClassModel.className?uncap_first}-list', '否', '2', 
      1, 
      '${tableClassModel.tableMemo}', '4', '${tableClassModel.className?uncap_first}', '123', '是', null);
 <#else>
INSERT INTO `sys_function` 
VALUES 
      ('开发者', now(), 
      '开发者', now(), 
      replace(uuid(), '-', ''), 
      '', 'biz/${tableClassModel.className?uncap_first}-list', '否', '2', 
      '05fb2915b39b4021a51d406473f0ee91', 
      '${tableClassModel.tableMemo}', '4', '${tableClassModel.className?uncap_first}', '123', '是', null);
</#if>

