package ${codeModel.packageName};

<#list importList?keys as key>
import ${importList[key]};
</#list>
import com.matrix.core.pojo.AjaxResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
/**
 * @description ${tableClassModel.tableMemo}
 * @author ${dataSource.author}
 * @date ${time}
 */
@Api(value=" ${tableClassModel.tableMemo}",tags={" ${tableClassModel.tableMemo}接口"})
@RestController
@RequestMapping(value = "/${tableClassModel.classVariableName}")
public class ${ClassName} {

	@Autowired
	private ${tableClassModel.className}Service ${tableClassModel.classVariableName}Service;

	/**
	 * 列表显示
	 */
	@ApiOperation("列表显示")
	@PostMapping(value =  "/showList")
	public  AjaxResult showList(@RequestBody ${tableClassModel.className} ${tableClassModel.classVariableName}) {

		return	${tableClassModel.classVariableName}Service.showList(${tableClassModel.classVariableName});
	}
   	
	/**
	 * 新增
	 */
	@ApiOperation("新增")
   	@PostMapping(value =  "/su/add")
	public  AjaxResult add${tableClassModel.className}(@RequestBody ${tableClassModel.className} ${tableClassModel.classVariableName}) {
		return	${tableClassModel.classVariableName}Service.add(${tableClassModel.classVariableName});
	}

	
	/**
	 * 修改
	 */
	@ApiOperation("修改")
   	@PostMapping(value =  "/su/modify")
	public  AjaxResult modify(@RequestBody ${tableClassModel.className} ${tableClassModel.classVariableName}) {
		return	${tableClassModel.classVariableName}Service.modify(${tableClassModel.classVariableName});
	}

   	
   	/**
	 * 批量删除
	 */
	@ApiOperation("批量删除")
	@PostMapping(value = "/su/deleteIds")
	public  AjaxResult del(String ids) {
		return	${tableClassModel.classVariableName}Service.del(ids);
	}
	/**
	* 删除
	*/
	@ApiOperation("删除")
	@PostMapping(value = "/su/delete")
	public  AjaxResult deleteByPrimaryKey(Integer id) {
	return	${tableClassModel.classVariableName}Service.deleteByPrimaryKey(id);
	}
  
}