
/**
 * ${tableClassModel.tableMemo}
 * @author ${dataSource.author}
 * @date ${time}
 */
 CREATE TABLE ${tableClassModel.tableName}(
  create_by varchar(100) NOT NULL COMMENT '创建人',
  create_time datetime NOT NULL COMMENT '创建时间',
  update_by varchar(100) NOT NULL COMMENT '更新人',
  update_time datetime NOT NULL COMMENT '更新时间',
  create_dept_id int(11) COMMENT '创建部门',
  create_store_id int(11) COMMENT '创建门店',
  company_id int(11) COMMENT '创建公司',
<#list tableClassModel.mapping as being>
<#if being.column = tableClassModel.primaryKey.column && being.jdbcType = "int">
 ${being.column} ${being.fullJdbcType}  ${being.isAllowNull} AUTO_INCREMENT  COMMENT '${being.memo}',
 <#else>
 ${being.column} ${being.fullJdbcType}  ${being.isAllowNull}  COMMENT '${being.memo}',
</#if>
</#list>	
PRIMARY KEY(${tableClassModel.primaryKey.column})
)ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='${tableClassModel.tableMemo}';

<#list tableClassModel.mapping as being>
<#if (being.indexName)??>
  ALTER TABLE ${tableClassModel.tableName}
  ADD INDEX ${being.indexName} (${being.column}) USING BTREE ;
</#if>
</#list>




