package com.matrix.codeGeneration.convert;
/**
 * 名称转换接口
 * @author Matrix-J
 *
 */
public interface NameConvert {
	/**
	 * 属性转数据库字段格式转换接口
	 * 
	 * @param property
	 * @return
	 */
	public String propertyToColumn(String property);

	/**
	 * 数据库字段转属性格式转换接口
	 * 
	 * @param column
	 * @return
	 */
	public String columnToProperty(String column);
	
	
	/**
	 * 表名类名转换接口
	 * 
	 * @param column
	 * @return
	 */
	public String tableNameToClassName(String tableName);
	
	
	/**
	 * 类名表名转换接口
	 * 
	 * @param column
	 * @return
	 */
	public String classNameToTableName(String calssName);
	/**
	 * 属性名称转方法名称
	 * @param property
	 * @return
	 */
	public String propertyToMethod(String property);
	
	/**
	 * 类名转类名的变量名
	 * @param property
	 * @return
	 */
	public String classNameToVariableName(String className);
	
	
	
}
