package com.matrix.codeGeneration.model;

import java.util.ArrayList;
import java.util.List;

/**
 * 数据表和java的对应模型
 * 
 * @author Matrix-J
 *
 */
public class TableClassModel {

	/**
	 * 类的中文名称
	 */
	private String tableMemo;

	/**
	 * 类名
	 */
	private String className;
	
	/**
	 * bean的名称
	 */
	private String beanClassName;
	
	private String fullClassName;
	
	private String qualifiedClassName;

	/**
	 * 表名
	 */
	private String tableName;

	/**
	 * 类的变量名称
	 */
	private String classVariableName;
	/**
	 * 主键
	 */
	private PropertyColumn primaryKey;

	private List<PropertyColumn> mapping = new ArrayList<PropertyColumn>();
	
	/**
	 * 展示到页面的字段个数 addByzhangheng
	 */
	private Integer showCount;

	public TableClassModel() {
	}
  

	public String getTableName() {
		return tableName;
	}

	public void setTableName(String tableName) {
		this.tableName = tableName;
	}

	public String getClassName() {
		return className;
	}

	public void setClassName(String className) {
		this.className = className;
	}

	public List<PropertyColumn> getMapping() {
		return mapping;
	}

	public void setMapping(List<PropertyColumn> mapping) {
		this.mapping = mapping;
	}

	public PropertyColumn getPrimaryKey() {
		return primaryKey;
	}

	public void setPrimaryKey(PropertyColumn primaryKey) {
		this.primaryKey = primaryKey;
	}
 

	public String getClassVariableName() {
		return classVariableName;
	}

	public void setClassVariableName(String classVariableName) {
		this.classVariableName = classVariableName;
	}

	 

	public String getTableMemo() {
		return tableMemo;
	}

	public void setTableMemo(String tableMemo) {
		this.tableMemo = tableMemo;
	}


	public String getBeanClassName() {
		return beanClassName;
	}


	public void setBeanClassName(String beanClassName) {
		this.beanClassName = beanClassName;
	}


	public String getFullClassName() {
		return fullClassName;
	}


	public void setFullClassName(String fullClassName) {
		this.fullClassName = fullClassName;
	}


	public String getQualifiedClassName() {
		return qualifiedClassName;
	}


	public void setQualifiedClassName(String qualifiedClassName) {
		this.qualifiedClassName = qualifiedClassName;
	}


	public Integer getShowCount() {
		return showCount;
	}


	public void setShowCount(Integer showCount) {
		this.showCount = showCount;
	}

	
}
