package ${codeModel.packageName};

<#list importList?keys as key>
import ${importList[key]};
</#list>	

/**
 * @description  service接口类 ${tableClassModel.tableMemo}
 * @author ${dataSource.author}
 * @date ${time}
 */
public interface ${ClassName}  extends BaseServices<${tableClassModel.className}>{
	
	/**
	 * 新增
	 */
	public int add(${tableClassModel.className} ${tableClassModel.classVariableName});
   	
   	/**
	 * 批量新增
	 */
	public int batchAdd(List<${tableClassModel.className}>  ${tableClassModel.classVariableName}List);
   	
   	/**
	 * 根据map键值对 更新
	 */
	public int modifyByMap(${tableClassModel.className} old${tableClassModel.className} ,${tableClassModel.className} new${tableClassModel.className});
	
	/**
	 * 根据对象 更新
	 */
	public int modifyByModel(${tableClassModel.className} ${tableClassModel.classVariableName});
	
	/**
	 * 批量删除
	 */
	public int remove(List<${tableClassModel.primaryKey.classType}> list);

	/**
	 * 根据id删除
	 */
	public int removeById(${tableClassModel.primaryKey.classType} ${tableClassModel.primaryKey.property});
	
	/**
	 * 根据对象删除
	 */
	public int removeByModel(${tableClassModel.className} ${tableClassModel.classVariableName});
	
	/**
	 * 分页查询
	 */
	public List<${tableClassModel.className}> findInPage(${tableClassModel.className} ${tableClassModel.classVariableName}, PaginationVO pageVo);

	/**
	 * 根据对象查询
	 */
	public List<${tableClassModel.className}> findByModel(${tableClassModel.className} ${tableClassModel.classVariableName});
	
	/**
	 * 统计记录数
	 */
	public int  findTotal(${tableClassModel.className} ${tableClassModel.classVariableName});
	
	/**
	 * 根据id查询
	 */
	public ${tableClassModel.className}  findById(${tableClassModel.primaryKey.classType} ${tableClassModel.primaryKey.property});

   	

  
}