<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org" xmlns:matrix="http://www.w3.org/1999/xhtml">
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8">
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache">
    <meta name="renderer" content="webkit|ie-comp|ie-stand">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta name="viewport"
          content="width=device-width,initial-scale=1,minimum-scale=1.0,maximum-scale=1.0,user-scalable=no"/>
    <meta http-equiv="Cache-Control" content="no-siteapp"/>
    <!-- 本框架基本脚本和样式 -->
    <script type="text/javascript"
            th:src="@{/js/plugin/jquery-2.1.4.min.js}"></script>
    <script type="text/javascript"
            th:src="@{/js/systools/MBase.js}"></script>
</head>
<body class=" container-fluid">

<div class="pd-10">

    <!-- 搜索框部分start -->
    <div class="row form-head">
        <div class="col-md-4 col-xs-12">
            <button onclick="myGrid.delItems('${tableClassModel.primaryKey.property}')" type="button"   matrix:btn="${tableClassModel.className?uncap_first}-dels"
                    class="btn btn-danger btn-sm">
                <i class="fa fa-trash"></i>批量删除
            </button>
            <button onclick="openAdd()" type="button" matrix:btn="${tableClassModel.className?uncap_first}-add"
                    class="btn btn-success btn-sm">
                <i class="fa fa-plus"></i> 新增
            </button>
        </div>
        <div class="col-md-8 col-xs-12">
            <div class="row">
                <div class="col-md-11 col-xs-12" style="text-align: right">
                    <form class="form-inline" id="serchform"  matrix:btn="${tableClassModel.className?uncap_first}-search" >
                        <div class="input-group">
                            <div class="btn-group search-list " data-for="search-text">
                                <button type="button"
                                        class="btn btn-default dropdown-toggle searchlist"
                                        data-toggle="dropdown">
                                    用户姓名 <span class="caret "></span>
                                </button>
                                <ul class="dropdown-menu" role="menu">
                                    <li data-field="suName"><a>用户姓名</a></li>
                                    <li data-field="suAccount"><a>账号 </a></li>
                                </ul>
                            </div>
                            <div class="form-group mr-20 ml-20">
                                <input id="search-text" name="suName" placeholder="输入查询关键词"
                                       type="text" class="form-control">
                            </div>
                            <div class="form-group">
                                <button onclick="myGrid.serchData(1)" type="button"
                                        class="btn btn-info">
                                    <i class="fa fa-search "></i> 搜索
                                </button>
                                <button type="reset" class="btn btn-info ">
                                    <i class="fa fa-refresh "></i> 重置
                                </button>
                            </div>
                        </div>
                        <!-- 高级搜索
                        <div class="senior-content">
                            <div class="serch-headline">高级搜索</div>
                            <div>
                                <span class="serch-title">电话：</span> <input type="text" name="suTel"
                                    class="form-control">
                            </div>
                            <div class="button">
                                <button type="button" class="btn btn-info" onclick="myGrid.serchData()">确认</button>
                                <button type="button" class="btn btn-warning serch-close">取消</button>
                            </div>
                        </div> -->
                    </form>
                </div>
                <!--	<div class="col-md-1 text-r layui-anim" data-anim="layui-anim-up">
                        <a class="senior-serch">高级搜索</a>
                    </div>-->
            </div>
        </div>
    </div>

    <div class="row">
        <table id="mgrid">
            <thead>
            <tr>
                <th data-checkbox="true"></th>
                <th data-formatter="MGrid.indexfn" data-align="center" data-width="30px">序号</th>
                <#list tableClassModel.mapping as being>
                    <#if being.isVisible>
                        <th data-field="${being.property}">${being.showName}</th>
                    </#if>
                </#list>
                <th data-align="center" data-width="195px" data-field="${tableClassModel.primaryKey.property}"
                    data-formatter="buidOperate">操作
                </th>
            </tr>
            </thead>
        </table>
    </div>
</div>
<script type="text/javascript"
        th:src="@{/js/systools/MJsBase.js}"></script>
<script type="text/javascript">
    var myGrid;
    $(function () {
        var delUrl = "";
        delUrl = basePath + "/admin/${tableClassModel.classVariableName}/del";
        myGrid = MGrid.initGrid({
            url: basePath + "/admin/${tableClassModel.classVariableName}/showList",
            delUrl: delUrl,
        });

    });

    function buidOperate(value, row, index) {
        var html = "";
        html += '<div class="btn-group">'
            + '<button type="button" class="btn btn-info dropdown-toggle" data-toggle="dropdown">'
            + '操作 <span class="caret"></span>' + '</button>'
            + '<ul class="dropdown-menu" role="menu">'
            + '<li><a href="javascript:void(0)" style="display:'
            + value
            + '"  onClick="openEdit(\''
            + value
            + '\')" title="编辑">编辑</a></li>'
            + '<li><a href="javascript:void(0)" style="display:'
            + value
            + '" onClick="myGrid.delItem(\''
            + value
            + '\')" title="删除">删除</a></li>' + '</ul>' + '</div>';
        html += '';
        return html;
    }

    //打开添加界面
    function openAdd() {
        layer.open({
            type: 2,
            title: "添加${tableClassModel.tableMemo}",
            area: [MUI.SIZE_L, '400px'],
            maxmin: true,
            content: [basePath + '/admin/${tableClassModel.classVariableName}/editForm']
        });
    }

    //打开编辑界面
    function openEdit(id) {
        layer.open({
            type: 2,
            title: "编辑${tableClassModel.tableMemo}",
            area: [MUI.SIZE_L, '400px'],
            maxmin: true,
            content: [basePath + '/admin/${tableClassModel.classVariableName}/editForm?id=' + id]
        });
    }
</script>
</body>
</html>
